Returns documents for selected date range
curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents" \
-H "Content-Type: application/json" \
-H "api_key: YOUR_API_KEY" \
-d '{
"data": {
"organizationId": "47847786",
"isExported": false,
"dateFrom": "2024-12-25T10:00:00Z",
"dateLastUpdated": "2024-12-25T10:00:00Z",
"dateTo": "2024-12-25T10:00:00Z",
"orderBy": "delivery_date",
"orderByDescending": false,
"resourceTypes": [
"receipt"
],
"resourceSubType": [
"received_invoice"
],
"searchAfter": [
"2025-06-12T12:00:00.000",
"zquLggIvQ9Vmv3S3n2ER"
],
"dateType": "create",
"continuationToken": "example_string",
"approvalStatus": []
}
}'
import requests
import json
url = "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents"
headers = {
"Content-Type": "application/json",
"api_key": "YOUR_API_KEY"
}
data = {
"data": {
"organizationId": "47847786",
"isExported": false,
"dateFrom": "2024-12-25T10:00:00Z",
"dateLastUpdated": "2024-12-25T10:00:00Z",
"dateTo": "2024-12-25T10:00:00Z",
"orderBy": "delivery_date",
"orderByDescending": false,
"resourceTypes": [
"receipt"
],
"resourceSubType": [
"received_invoice"
],
"searchAfter": [
"2025-06-12T12:00:00.000",
"zquLggIvQ9Vmv3S3n2ER"
],
"dateType": "create",
"continuationToken": "example_string",
"approvalStatus": []
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents", {
method: "POST",
headers: {
"Content-Type": "application/json",
"api_key": "YOUR_API_KEY"
},
body: JSON.stringify({
"data": {
"organizationId": "47847786",
"isExported": false,
"dateFrom": "2024-12-25T10:00:00Z",
"dateLastUpdated": "2024-12-25T10:00:00Z",
"dateTo": "2024-12-25T10:00:00Z",
"orderBy": "delivery_date",
"orderByDescending": false,
"resourceTypes": [
"receipt"
],
"resourceSubType": [
"received_invoice"
],
"searchAfter": [
"2025-06-12T12:00:00.000",
"zquLggIvQ9Vmv3S3n2ER"
],
"dateType": "create",
"continuationToken": "example_string",
"approvalStatus": []
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"data": {
"organizationId": "47847786",
"isExported": false,
"dateFrom": "2024-12-25T10:00:00Z",
"dateLastUpdated": "2024-12-25T10:00:00Z",
"dateTo": "2024-12-25T10:00:00Z",
"orderBy": "delivery_date",
"orderByDescending": false,
"resourceTypes": [
"receipt"
],
"resourceSubType": [
"received_invoice"
],
"searchAfter": [
"2025-06-12T12:00:00.000",
"zquLggIvQ9Vmv3S3n2ER"
],
"dateType": "create",
"continuationToken": "example_string",
"approvalStatus": []
}
}`)
req, err := http.NewRequest("POST", "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("api_key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['api_key'] = 'YOUR_API_KEY'
request.body = '{
"data": {
"organizationId": "47847786",
"isExported": false,
"dateFrom": "2024-12-25T10:00:00Z",
"dateLastUpdated": "2024-12-25T10:00:00Z",
"dateTo": "2024-12-25T10:00:00Z",
"orderBy": "delivery_date",
"orderByDescending": false,
"resourceTypes": [
"receipt"
],
"resourceSubType": [
"received_invoice"
],
"searchAfter": [
"2025-06-12T12:00:00.000",
"zquLggIvQ9Vmv3S3n2ER"
],
"dateType": "create",
"continuationToken": "example_string",
"approvalStatus": []
}
}'
response = http.request(request)
puts response.body
{
"success": true,
"code": "APP_UNAUTHENTICATED",
"data": [
{
"documentId": "b184lOqCeR7zJfmc04tV",
"type": "receipt",
"subType": "manual_domestic_received",
"paymentStatus": "paid",
"receiptUID": "O-A7DAAF78DE354C989AAF78DE351C98D7",
"issuedAt": "2024-12-25T10:00:00Z",
"taxPointDate": "2024-12-25T10:00:00Z",
"createdAt": "2024-12-25T10:00:00Z",
"totalPrice": 29.99,
"vatCategory": "undefined",
"approvalStatus": "default",
"organizationId": "example_string",
"organizationVatId": "example_string",
"organizationTaxId": "example_string",
"organizationName": "John Doe",
"note": "example_string",
"customText": "example_string",
"internalNote": "example_string",
"email": "user@example.com",
"invoiceNumber": "example_string",
"paymentType": "cash",
"items": [
{
"name": "Vegánske kornútiky",
"price": 2.5,
"quantity": 10,
"vatRate": 20,
"itemType": "advance_payment",
"unit": "ks",
"vatAmount": 20,
"note": "poznamka",
"vatCategory": "undefined",
"accountingSettings": {
"accountingItem": {
"accountingSoftwareId": 1,
"value": "Naklady",
"recalculate": false,
"creditAccount": 502,
"debitAccount": 302,
"code": "2N",
"ratioAllocation": {
"recalculateVat50_50": false,
"taxable": {
"value": "example_string",
"ratio": 80
},
"nonTaxable": {
"value": "example_string",
"ratio": 20
}
},
"resourceType": "receipt"
},
"numericCode": {
"accountingSoftwareId": 1,
"value": "domestic",
"name": "Vseobecny ciselny rad",
"paymentType": "transfer"
},
"cashRegister": {
"accountingSoftwareId": 1,
"value": "cash_register",
"name": "Pokladna EU"
},
"projects": {
"accountingSoftwareId": 1,
"value": "project_ZA",
"note": "Stavba mostu"
},
"order": {
"accountingSoftwareId": "example_string",
"value": "order_bridge",
"code": "COM",
"name": "order 1"
},
"activity": {
"accountingSoftwareId": 2,
"value": "activity_test",
"code": "JULO"
},
"expenditureCenter": {
"accountingSoftwareId": 1,
"value": "expenditure center",
"code": "EXIT"
},
"generalDocumentAgenda": {
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT"
},
"predefinedNote": {
"accountingSoftwareId": 1,
"value": "document type"
},
"classificationVat": {
"resourceTypeFlags": [
"received_receipt"
],
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT",
"validFrom": "2024-12-25T10:00:00Z",
"validTo": "2024-12-25T10:00:00Z",
"isReverseCharge": true
},
"bankAccountInfo": {
"accountingSoftwareId": 1,
"name": "VUB bank",
"code": "JUL",
"accountIdentification": "SK456"
},
"classificationKVVat": {
"accountingSoftwareId": 1,
"name": "Prijaté zjednodušené faktúry podľa §74...",
"code": "B3"
}
}
}
],
"address": {
"streetName": "Einsteinova",
"propertyRegistrationNumber": "60",
"buildingNumber": "30",
"postalCode": "85101",
"municipality": "Bratislava - mestská časť Petržalka",
"country": "Slovensko"
},
"accountingSettings": {
"accountingItem": {
"accountingSoftwareId": 1,
"value": "Naklady",
"recalculate": false,
"creditAccount": 502,
"debitAccount": 302,
"code": "2N",
"ratioAllocation": {
"recalculateVat50_50": false,
"taxable": {
"value": "example_string",
"ratio": 80
},
"nonTaxable": {
"value": "example_string",
"ratio": 20
}
},
"resourceType": "receipt"
},
"numericCode": {
"accountingSoftwareId": 1,
"value": "domestic",
"name": "Vseobecny ciselny rad",
"paymentType": "transfer"
},
"cashRegister": {
"accountingSoftwareId": 1,
"value": "cash_register",
"name": "Pokladna EU"
},
"projects": {
"accountingSoftwareId": 1,
"value": "project_ZA",
"note": "Stavba mostu"
},
"order": {
"accountingSoftwareId": "example_string",
"value": "order_bridge",
"code": "COM",
"name": "order 1"
},
"activity": {
"accountingSoftwareId": 2,
"value": "activity_test",
"code": "JULO"
},
"expenditureCenter": {
"accountingSoftwareId": 1,
"value": "expenditure center",
"code": "EXIT"
},
"generalDocumentAgenda": {
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT"
},
"predefinedNote": {
"accountingSoftwareId": 1,
"value": "document type"
},
"classificationVat": {
"resourceTypeFlags": [
"received_receipt"
],
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT",
"validFrom": "2024-12-25T10:00:00Z",
"validTo": "2024-12-25T10:00:00Z",
"isReverseCharge": true
},
"bankAccountInfo": {
"accountingSoftwareId": 1,
"name": "VUB bank",
"code": "JUL",
"accountIdentification": "SK456"
},
"classificationKVVat": {
"accountingSoftwareId": 1,
"name": "Prijaté zjednodušené faktúry podľa §74...",
"code": "B3"
}
},
"exchangeRate": 3.14,
"otherCurrency": "example_string",
"otherTotalPrice": 29.99,
"vatSummary": [
{
"taxBase": 3.14,
"vatAmount": 3.14,
"vatRate": 3.14
}
],
"ossSettings": {
"countryCode": "de",
"ossEvidentaryResource": "A",
"ossServiceType": "BA"
}
}
],
"continuationToken": "example_string",
"searchAfter": [
"2025-06-12T12:00:00.000",
"zquLggIvQ9Vmv3S3n2ER"
]
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
POST
/v2/documents
POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: api_key)
api_keystring
RequiredAPI key (sent in header)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
header
api_keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Body
application/json
Responses
successboolean
codestring
APP_INCORRECT_INPUT_DATA- The APP_INCORRECT_INPUT_DATA status indicates that the selected filter or input criteria provided to the application are invalid or incorrect. . This status typically arises when users or systems submit input data that does not conform to the expected format, range, or validation rules defined by the application.APP_NO_MORE_DATA- Status indicates that there are no more data available to be fetched or processed by the application at the current point in time. This status typically occurs in scenarios involving pagination or sequential data retrieval, where the application has reached the end of available data.APP_MAX_EXPORT_LIMIT_EXCEEDED- Status indicates that the maximum export limit(2000) per API request has been exceeded.APP_ORGANIZATION_NOT_FOUND_CODE- Status indicates that the requested organization could not be found in the system based on the provided identification number (ICO - Identification Number of Legal Entity/Organization).APP_READ_DATA_ERROR- Status indicates an undefined error occurred while attempting to read data from the application.
Allowed values:
APP_UNAUTHENTICATEDAPP_INCORRECT_INPUT_DATAAPP_ORGANIZATION_NOT_FOUND_CODEAPP_MAX_EXPORT_LIMIT_EXCEEDEDAPP_READ_DATA_ERRORAPP_NO_MORE_DATAdatastring[]
continuationTokenstring
Token for paggination
searchAfterstring[]
Tokens for paggination when sorting
Was this page helpful?